Package weka.core

# Interface Undoable

All Known Implementing Classes:
  `ArffPanel`, `ArffSortedTableModel`, `ArffTableModel`

public interface Undoable
Interface implemented by classes that support undo.

Version:
  $Revision: 1.2 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`addUndoPoint()`
adds an undo point to the undo history
`boolean`
`canUndo()`
returns whether an undo is possible, i.e.
`void`
`clearUndo()`
removes the undo history
`boolean`
`isUndoEnabled()`
returns whether undo support is enabled
`void`
`setUndoEnabled(boolean enabled)`
sets whether undo support is enabled
`void`
`undo()`
undoes the last action

## Method Details

### isUndoEnabled

boolean isUndoEnabled()
returns whether undo support is enabled

### setUndoEnabled

void setUndoEnabled(boolean enabled)
sets whether undo support is enabled

### clearUndo

void clearUndo()
removes the undo history

### canUndo

boolean canUndo()
returns whether an undo is possible, i.e. whether there are any undo points saved so far

Returns:
  returns TRUE if there is an undo possible

### undo

void undo()
undoes the last action

### addUndoPoint

void addUndoPoint()
adds an undo point to the undo history